Notizia Precedente

FreePops 0.0.97

Naviga SWZ: Home Page » News
News del 06 Febbraio 06 Autore: Alberto
FreePops 0.0.97
Nuovo aggiornamento per questo programma di cui seguiamo costantemente i progressi e le novità.Changes (04/02/2006 0.0.97):- yahoo.lua: Added support for the new Yahoo interface. (russell822) - es: *** empty log message *** (lisar314) - es: Version 0.96 (lisar314) - tre.lua: bumped required version to 0.0.97 (gareuselesinge) - gmail.lua: added zibo patch (gareuselesinge) - yahoo.lua: Remove the quoted-printable encoding header from messages since Yahoo does the decoding on its servers. (russell822) - gmail.lua, squirrelmail.lua, yahoo.lua: Updated the version and require version (russell822) - gmail.lua, squirrelmail.lua, tre.lua, yahoo.lua: migration of all lua code to the lua5.1 module system - log.c partially rewritten to make output more comfortable - fixed manual according to the 'require' adoption (gareuselesinge) - updated supereva plugin (Thanks Visioning) - added support for 'installation' file (like the 'interface' one) to specify in a sinple way where to install files (see the browser_lua modules for example) - reorganized some modules using a non flat structure (browser, lxp, soap) - manual updated concerning the new lua5.1 module system - some fixes to Makefiles needed to support a non-flat LUA directory - moved all official plugins to the lua5.1 module system (using 'require') - moved all LUA modules to the lua5.1 module system (using 'module') - moved freepops.lua to the lua5.1 module system (old freepops.dofile is deprecated and the globals loadlib and loadfile are not redefined anymore). freepops.dofile should be used only by the C core, while the LUA modules should user 'module' to declare a module and 'require' to import one. To manually load an external file freepops.find and loadfile/loadlib can be used. dofile is redefined using first require, then the old freepops.dofile. - moved all C modules to the lua5.1 module system (unsing legacy header compat-5.1.h) - implemented luasoap/http.lua on top of browser.lua and not luasocket - updated luaexpat to 1.0.1 - added luasoap - added compat-5.1
8 - Commento/i sul Forum


Categoria: Windows

Licenza: Open GPL

Dimensioni: 1,09 Mb

OS: MacOS X, Windows, Linux

La Community di

La community con le risposte che cerchi ! Partecipa é gratis !
Iscrizione ForumIscriviti al Forum


Vuoi ricevere tutti gli aggiornamenti di SWZone direttamente via mail ?
Iscrizione NewsletterIscriviti alla Newsletter

Carico il Player Video